﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace CSSample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		// ロード
		protected override void OnLoad(EventArgs e)
		{
			base.OnLoad(e);
			
			// 元に戻す・やり直しボタンの Enabled を設定する
			this.SetEnabled();
		}

		// タブ文字数適用
		private void button1_Click(object sender, EventArgs e)
		{
			try
			{
				this.searchTextBox1.TabLength = (int)this.numericUpDown1.Value;
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message);
			}
		}

		// テキスト変更時
		private void searchTextBox1_TextChanged(object sender, EventArgs e)
		{
			// 元に戻す・やり直しボタンの Enabled を設定する
			this.SetEnabled();
		}

		// 元に戻す
		private void button2_Click(object sender, EventArgs e)
		{
			this.searchTextBox1.Undo();
		}

		// やり直し
		private void button3_Click(object sender, EventArgs e)
		{
			this.searchTextBox1.Redo();
		}

		// 検索
		private void button4_Click(object sender, EventArgs e)
		{
			this.searchTextBox1.ShowSearchDialog();
		}

		// 置換
		private void button5_Click(object sender, EventArgs e)
		{
			this.searchTextBox1.ShowReplaceDialog();
		}

		// 元に戻す・やり直しボタンの Enabled を設定する
		private void SetEnabled()
		{
			this.button2.Enabled = this.searchTextBox1.CanUndo;
			this.button3.Enabled = this.searchTextBox1.CanRedo;
		}
	}
}
