﻿Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms


Partial Public Class Form1
    Inherits Form
    Public Sub New()
        InitializeComponent()
    End Sub

    ' ロード
    Protected Overrides Sub OnLoad(ByVal e As EventArgs)
        MyBase.OnLoad(e)

        ' 元に戻す・やり直しボタンの Enabled を設定する
        Me.SetEnabled()
    End Sub

    ' タブ文字数適用
    Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button1.Click
        Try
            Me.searchTextBox1.TabLength = CInt(Me.numericUpDown1.Value)
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    ' テキスト変更時
    Private Sub searchTextBox1_TextChanged(ByVal sender As Object, ByVal e As EventArgs) Handles searchTextBox1.TextChanged
        ' 元に戻す・やり直しボタンの Enabled を設定する
        Me.SetEnabled()
    End Sub

    ' 元に戻す
    Private Sub button2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button2.Click
        Me.searchTextBox1.Undo()
    End Sub

    ' やり直し
    Private Sub button3_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button3.Click
        Me.searchTextBox1.Redo()
    End Sub

    ' 検索
    Private Sub button4_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button4.Click
        Me.searchTextBox1.ShowSearchDialog()
    End Sub

    ' 置換
    Private Sub button5_Click(ByVal sender As Object, ByVal e As EventArgs) Handles button5.Click
        Me.searchTextBox1.ShowReplaceDialog()
    End Sub

    ' 元に戻す・やり直しボタンの Enabled を設定する
    Private Sub SetEnabled()
        Me.button2.Enabled = Me.searchTextBox1.CanUndo
        Me.button3.Enabled = Me.searchTextBox1.CanRedo
    End Sub
End Class
